<?php

use think\facade\Route;

//【账户】
Route::rule('login', 'Account/login');//登录
Route::rule('logout', 'Account/logout');//登出
Route::rule('info', 'Account/info');//账户详情
Route::rule('updatePassword', 'Account/updatePassword');//修改密码
Route::rule('bindAccountByCode', 'Account/bindAccountByCode');//通过微信端code绑定账户
Route::rule('getPrepayId', 'Common/getPrepayId');//微信支付预下单

//【公共】
Route::rule('video', 'Common/getVideoList');//视频列表
Route::rule('area', 'Common/area');//省市区编码
Route::rule('theme', 'Common/theme');//手机主题

//【地址】
Route::rule('addrList', 'Addr/list');//列表
Route::rule('addrAdd', 'Addr/add');//添加
Route::rule('addrRead', 'Addr/read');//读取
Route::rule('addrEdit', 'Addr/edit');//修改
Route::rule('addrDelete', 'Addr/delete');//删除

//【服务】
Route::rule('serviceList', 'Service/list');//列表
Route::rule('serviceRead', 'Service/read');//读取

//【兑换商品】
Route::rule('exchangeGoodList', 'Exchange/goodList');//商品列表
Route::rule('exchangeGoodInfo', 'Exchange/goodInfo');//商品详情
Route::rule('exchangeOrderAdd', 'Exchange/orderAdd');//兑换商品下单
Route::rule('exchangeOrderList', 'Exchange/orderList');//兑换订单列表
Route::rule('exchangeOrderInfo', 'Exchange/orderInfo');//兑换订单详情

//【商城商品】
Route::rule('shoppingGoodList', 'Shopping/goodList');//商城商品列表
Route::rule('shoppingGoodInfo', 'Shopping/goodInfo');//商城商品详情




